일정 조회
GET
https://api.youvico.com/api/project-schedules/:id- 요청 제한
- Default
- API 권한
- schedules:read
프로젝트 일정을 조회합니다.
예시
curl 'https://api.youvico.com/api/project-schedules/5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
"project": {
"id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62"
},
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}
}
요청
curl -X GET 'https://api.youvico.com/api/project-schedules/5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b' \
-H 'Authorization: Bearer YOUR_API_KEY'
응답200 OK
{
"data": {
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
"project": {
"id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62"
},
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}
}
요청
경로
idstringrequired일정 ID
응답
200 OK를 반환합니다.
dataobject프로젝트 일정
data.idstring일정 ID
예시: 5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b
data.projectobject일정이 속한 프로젝트
data.namestring일정 이름
예시: Final review
data.descriptionstring?일정 설명
예시: Review the final cut
data.startDatestring시작 날짜. YYYY-MM-DD
예시: 2026-05-31
data.startTimestring?시작 시각. HH:mm, 종일 일정이면 null
예시: 09:00
data.endDatestring?종료 날짜. YYYY-MM-DD, 시작 날짜에 끝나면 null
예시: 2026-06-01
data.endTimestring?종료 시각. HH:mm
예시: 18:00
data.colorstring일정 색상
가능한 값: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY
예시: BLUE